OpenRouter [Audio]
Amalaich
openrouter/router/audio
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/openrouter/router/audio?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"model": "google/gemini-3.8-flash"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/openrouter/router/audio?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"model": "google/gemini-3.8-flash"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"model": "google/gemini-3.8-flash",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/openrouter/router/audio", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/gd/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "openrouter/router/audio",
"input": {
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"model": "google/gemini-3.8-flash"
}
}
Cuir fòn chun mhodail OpenRouter [Audio] (openrouter/router/audio) tro Doitong API. Sgrìobhainnean airson àidseantan: https://doitong.com/gd/developers/models/openrouter/router/audio.md
POST https://api.doitong.com/v1/run/openrouter/router/audio?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"model": "google/gemini-3.8-flash"
}
Ma tha inbhe na freagairt "queued" no "running", dèan poll air GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 gus am bi i "succeeded"; tha na faidhlichean ann an outputs[].url. Bidh POST https://api.doitong.com/v1/quote/openrouter/router/audio leis an aon bhodhaig a’ tilleadh na prìse cheart ron ruith.
Suas ri $1.858 gach ruith air a ghearradh a rèir cleachdaidh fhìor, agus an còrr air ais-phàigheadh Ruith e air an duilleig seo
An iuchair API ùr agad. Chan eil e ri fhaicinn ach an-dràsta, agus tha e mar-thà sa chòd agus ann an raon iuchair API gu h-ìosal. Cùm dìomhair e: na cuir ann an còd a ruitheas ann am brabhsair gu bràth.
Thèid a’ chiad toradh agad an-seo
Tog iarrtas gu h-ìosal agus ruith e leis an iuchair API agad. Tha na h-às-churan air an lethbhreacadh dhan stòradh againn, air an cumail gu bràth no 7 latha an-asgaidh.
Tog iarrtas
Tha na smachdan air an cruthachadh bho sgeama a’ mhodail. Bidh an còd agus a’ phrìs ag ùrachadh fhad ’s a dh’atharraicheas tu iad.
/run/openrouter/router/audio?wait=20
tuairmse → $1.858
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/openrouter/router/audio?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"model": "google/gemini-3.8-flash"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/openrouter/router/audio?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"model": "google/gemini-3.8-flash"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"model": "google/gemini-3.8-flash",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/openrouter/router/audio", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "openrouter/router/audio",
"input": {
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"model": "google/gemini-3.8-flash"
},
"wait_seconds": 20
}
}
}
Ruith an t-iarrtas seo
Fuirichidh an iuchair agad sa bhrobhsair seo: thèid a cur chun Doitong API a-mhàin agus a sàbhaladh (localStorage) a-mhàin ma chuireas tu comharra ri Cuimhnich. Faigh iuchair API
Mu OpenRouter [Audio]
A’ gabhail ri faidhle claisneachd tro `audio_url` còmhla ri `prompt` agus `model` riatanach. Is iad na cruthan clàraichte wav, mp3, aiff, aac, ogg, flac agus m4a. Tha `system_prompt`, `temperature`, `max_tokens`, `reasoning` agus roghainnean rannsachaidh-lìn roghainneil rim faighinn. Tillidh e às-chur teacsa agus cleachdadh tòcan.
Paramadairean
Cuir an t-ainm canonical no an t-ainm dùthchasach, chan e an dà chuid. Ainmean canonical
audio_urlriatanach
audio
promptriatanach
system_promptroghainneil
modelriatanach
reasoningroghainneil
temperatureroghainneil
max_tokensroghainneil
enable_web_searchroghainneil
web_search_optionsroghainneil
web_search_options.engineroghainneil
web_search_options.max_resultsroghainneil
web_search_options.max_usesroghainneil
web_search_options.max_total_resultsroghainneil
web_search_options.search_context_sizeroghainneil
web_search_options.max_charactersroghainneil
web_search_options.allowed_domainsroghainneil
web_search_options.excluded_domainsroghainneil
web_search_options.user_locationroghainneil
web_search_options.user_location.typeroghainneil
web_search_options.user_location.cityroghainneil
web_search_options.user_location.regionroghainneil
web_search_options.user_location.countryroghainneil
web_search_options.user_location.timezoneroghainneil
Gabhaidh paramadairean faidhle ri URL poblach https://, URI data: suas ri 10 MB, no file_url de luchdachadh suas. Faidhlichean
Toradh
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "openrouter/router/audio",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 1858,
"usd": "1.858",
"charged": 1858,
"refunded": 0
},
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"model": "google/gemini-3.8-flash"
},
"output": {
"output": "The audio contains a conversation between two people discussing the weather forecast for the upcoming week.",
"usage": {
"prompt_tokens": 1,
"completion_tokens": 1,
"total_tokens": 0,
"cost": 1.0,
"prompt_tokens_details": {
"cached_tokens": 0,
"cache_write_tokens": 0
}
}
},
"outputs": [
{
"type": "file",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Raointean toraidh
- output
- stringToradh a chaidh a chruthachadh le bhith a’ giullachd na claisneachd.
- usage
- object {prompt_tokens, completion_tokens, total_tokens, cost, prompt_tokens_details} | nullMion-fhiosrachadh mu chaitheamh tòcanan.
Seòrsaichean eile de OpenRouter Router
Barrachd mhodalan: LLM
Do riochdairean AI: tha an duilleag seo mar Markdown aig https://doitong.com/gd/developers/models/openrouter/router/audio.md. Na modailean agus na treòraichean uile: https://doitong.com/developers/llms.txt